Name: jakarta-commons-cli
Version: 2.0
Release: alt0.svn530128

Summary: Jakarta Commons CLI, a Command Line Interface for Java
License: Apache Software License
Group: Development/Java

Url: http://jakarta.apache.org/commons/cli/
Source: %name.tar.bz2
# svn co http://svn.apache.org/repos/asf/jakarta/commons/proper/cli/trunk cli
Patch0: jakarta-commons-cli-2.0-fix-test.patch

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit jdepend jakarta-commons-lang
Requires: jakarta-commons-lang
BuildArch: noarch

%description
The CLI library provides a simple and easy to use API for working with
the command line arguments and options.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n cli
%patch0 -p1

%build
%set_classpath %_javadir/jakarta-commons-lang.jar
%add_classpath %_javadir/jdepend.jar
%add_classpath %_javadir/junit.jar

CLASSPATH="%_classpath:target/classes:target/test-classes"
%ant_build -Dbuild.sysclasspath=only jar javadoc

%install

%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name}

# jars
%__cp -p target/*.jar %buildroot%_javadir/%name.jar

# javadoc
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc *.txt
%_javadir/*

%files javadoc
%doc %_javadocdir/%name

%changelog
* Wed Apr 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 2.0-alt0.svn530128
- Updated to revision 530128 (20070418)

* Wed May 04 2005 Vladimir Lettiev <crux@altlinux.ru> 2.0-alt0.1
- Initial build for ALTLinux Sisyphus
- svn snapshot 20050504

